%define module Template
Name: perl-%module
Version: 2.10
Release: alt1

Summary: Perl Template Toolkit
License: GPL
Group: Development/Perl

Url: http://www.%module-toolkit.org/
Source: %module-Toolkit-%version.tar.bz2

# perl version: 5.8.0 -> 5.8.x
Patch: %name-2.10-alt-5.8.x.patch

# rpm bug workaround
Provides: perl(Template/Stash.pm) = 0:2.78 

# Automatically added by buildreq on Mon Sep 29 2003 (-bi)
BuildRequires: perl-AppConfig perl-CGI perl-DBI perl-Date-Calc perl-GD-Graph perl-GD-Graph3d perl-GD-Text perl-GD2 perl-HTML-Parser perl-Image-Info perl-Magick perl-Pod-POM perl-Text-Autoformat perl-Text-Reform perl-Tie-DBI perl-URI perl-XML-DOM perl-XML-Parser perl-XML-RSS perl-XML-RegExp perl-XML-Simple perl-XML-XPath perl-devel perl-i18n perl-libwww-perl tetex-core tetex-dvips tetex-latex

%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system.
It was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

%prep
%setup -q -n %module-Toolkit-%version
%patch -p1

# package hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"
find . -type f -name '*.pm' | xargs %__perl -pi -e 's/^#=+.*[\r\n]+//'

%build
%perl_vendor_build TT_DOCS=y TT_SPLASH=y TT_THEME=aqua TT_EXAMPLES=y TT_XS_ENABLE=y TT_XS_DEFAULT=y TT_DBI=n TT_ACCEPT=y

%install
%perl_vendor_install

%files
%doc README Changes TODO HACKING INSTALL
%perl_vendor_archlib/%module
%perl_vendor_archlib/%module.pm
%perl_vendor_autolib/%module
%_bindir/*
%perl_vendor_man1dir/*
%perl_vendor_man3dir/*

%changelog
* Mon Sep 29 2003 Alexey Tourbin <at@altlinux.ru> 2.10-alt1
- 2.10
- full-fetaured build with all additional modules present
- all test enabled except autoform and dbi

* Tue Aug 19 2003 Alexey Gladkov <legion@altlinux.ru> 2.09-alt1.1
- Temporarily hack provides.

* Thu May 01 2003 Alexey Gladkov <legion@altlinux.ru> 2.09-alt1
- First build for ALTLinux
- spec modifications for Sisyphus
- new version 2.09

* Tue Feb 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.08-2mdk
- removed buildrequires perl(XML::DOM), redundant with perl-libxml-enno

* Sun Sep 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.08-1mdk
- new version
- adjust requires and buildrequires
- misc spec file fixes

* Fri Jul 19 2002 Pixel <pixel@mandrakesoft.com> 2.07-1mdk
- new release
- rebuild for perl 5.8.0
- cleanup
- drop the patch (!?)

* Wed Apr 10 2002 Warly <warly@mandrakesoft.com> 2.06-1mdk
- mandrake packages

* Sat Nov 10 2001 Aleksey Nogin <ayn2@cornell.edu>
- initial package, adapted from perl-Digest-MD5

